package com.qianhe.zqcz.pftb.mapper;

import com.qianhe.zqcz.pftb.domain.ZqczPftb;
import com.qianhe.zqcz.pftb.domain.ZqczPftbQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ZqczPftbMapper {
    /**
     * 条件查询
     */
    List<Map<String, Object>> list(ZqczPftbQuery zqczPftbQuery);

    /**
     * 修改
     */
    int add(ZqczPftb zqczPftb);

    /**
     * 根据基层任务ID删除
     */
    int deleteByJcrwid(@Param("jcrwid") Long jcrwid);
}
